%global dlrn_nvr tooz-2.7.0-0.20200723133754.fca43df
%global dlrn 1
%define upstream_version 2.7.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Created by pyp2rpm-1.0.1
%global pypi_name tooz
%global with_doc 0

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
The Tooz project aims at centralizing the most common distributed primitives \
like group membership protocol, lock service and leader election by providing \
a coordination API helping developers to build distributed applications.

Name:           python-%{pypi_name}
Version: 2.7.0
Release: 0.20200723133754.fca43df%{?dist}
Summary:        Coordination library for distributed systems

License:        ASL 2.0
URL:            https://tooz.readthedocs.org
Source0: tooz-2.7.0-0.20200723133754.fca43df.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=fca43df8973f20d075cddecc6b7f65381e0e7a13

BuildArch:      noarch

BuildRequires:  git

%description
%{common_desc}

%package -n     python3-%{pypi_name}
Summary:        Coordination library for distributed systems
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr >= 2.0.0
Requires:       python3-fasteners
Requires:       python3-futurist
Requires:       python3-oslo-serialization >= 1.10.0
Requires:       python3-oslo-utils >= 3.15.0
Requires:       python3-pbr >= 1.6
Requires:       python3-six >= 1.9.0
Requires:       python3-stevedore >= 1.16.0
Requires:       python3-tenacity >= 3.2.1
Requires:       python3-voluptuous >= 0.8.9
Requires:       python3-zake
Requires:       python3-msgpack >= 0.4.0


Requires:       python3-redis

%description -n python3-%{pypi_name}
%{common_desc}

%if %{?with_doc}
%package doc
Summary:    Documentation for %{name}
Group:      Documentation
License:    ASL 2.0

BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-fasteners
BuildRequires:  python3-futurist
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-stevedore >= 1.5.0
BuildRequires:  python3-sysv_ipc
BuildRequires:  python3-tenacity
BuildRequires:  python3-voluptuous
BuildRequires:  python3-pymemcache
BuildRequires:  python3-PyMySQL
BuildRequires:  python3-zake
BuildRequires:  python3-msgpack >= 0.4.0


BuildRequires:  python3-psycopg2
BuildRequires:  python3-redis

%description doc
%{common_desc}

This package contains documentation in HTML format.
%endif


%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# Let RPM handle the requirements
rm -f {test-,}requirements.txt

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%{py3_build}

%if %{?with_doc}
# generate html docs
%{__python3} setup.py build_sphinx -b html
# remove the sphinx-build-3 leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif


%install
%{py3_install}
rm -fr %{buildroot}%{python3_sitelib}/%{pypi_name}/tests/

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-*.egg-info

%if %{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix breakage with PyMySQL 0.10.0
- hashring: allow choosing hash function
- Remove six library

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Implements Group API for the Consul driver

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add python 3.8 to classifiers

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.
- Switch to newer openstackdocstheme and reno versions
- Use unittest.mock instead of third party mock
- Add release notes links to doc index

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for Consul ACL token parameter.
- Switch to Victoria tests
- Add nose as test-requirement
- Fix mysql driver comparison operator
- Update master for stable/ussuri
- ignore reno generated artifacts

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add TLS support in etcd3 and etcd3gw drivers
- Drop requirements-check job

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adds heartbeating to the consul driver.

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid redis lock's expire_time exceeding timeout.

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Avoid redis lock's expire_time exceeding timeout.
- Avoid redis lock's expire_time exceeding timeout.

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid redis lock's expire_time exceeding timeout.

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Drop python 2.7 support and testing

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- RedisLock release() should not check if the lock has been acquired

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix membership lease issue on the etcd3gw driver"
- Fix membership lease issue on the etcd3gw driver

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Drop os-testr test-requirement and pretty_tox.sh"
- Merge "Add shared arg in metaclass Lock"
- Drop os-testr test-requirement and pretty_tox.sh
- Update master for stable/train
- Add shared arg in metaclass Lock

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

